import cv2
import numpy as np
import sys
import argparse



def main():
    parser = argparse.ArgumentParser(description="convert movie file to mp4 file")
    parser.add_argument("video_path", type=str, help="Path to the input video.")
    args = parser.parse_args()
    
    # Open the video
    cap = cv2.VideoCapture(args.video_path)
    
    # TODO: Other parts remain unchanged...
    
    # Get video properties
    fps = int(cap.get(cv2.CAP_PROP_FPS))
    width = int(cap.get(cv2.CAP_PROP_FRAME_WIDTH))
    height = int(cap.get(cv2.CAP_PROP_FRAME_HEIGHT))
    print(width,height,fps)
    
    # Define the codec and create a video writer object
    fourcc = cv2.VideoWriter_fourcc(*'H264')

    out = cv2.VideoWriter(args.video_path.replace('.avi', '_adj.mp4'), fourcc, fps, (width, height))


    # Read and process each frame
    count=0
    while cap.isOpened():
        ret, frame = cap.read()
        if not ret:
            break
        out.write(frame)
        print(count)
        count += 1
    # Release resources
    cap.release()
    out.release()

# Uncomment the following line when testing the script outside this environment
if __name__ == "__main__":
    main()
