import requests
import bz2
import os

def download_and_decompress(url, output_filename):
    # ファイルをダウンロード
    response = requests.get(url, stream=True)
    response.raise_for_status()
    
    # メモリ上で.bz2ファイルを解凍
    decompressed_data = bz2.decompress(response.content)

    # カレントディレクトリにファイルを保存
    with open(output_filename, 'wb') as file:
        file.write(decompressed_data)

# 指定されたURLからファイルをダウンロード・解凍してカレントディレクトリに保存
download_and_decompress('https://github.com/cisco/openh264/releases/download/v1.8.0/openh264-1.8.0-win64.dll.bz2', 'openh264-1.8.0-win64.dll')
download_and_decompress('https://github.com/cisco/openh264/releases/download/v1.8.0/openh264-1.8.0-win32.dll.bz2', 'openh264-1.8.0-win32.dll')
# openh264のライセンス条項をダウンロード
response = requests.get('https://www.openh264.org/BINARY_LICENSE.txt', verify=False)
# レスポンスが成功した場合、ファイルを保存
if response.status_code == 200:
    with open("BINARY_LICENSE.txt", "wb") as file:
        file.write(response.content)
